Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BanEntry

    java.lang.Object
      net.minecraft.src.BanEntry

    public class BanEntry

extends Object

Field Summary
`static SimpleDateFormat` | `dateFormat`
`static Logger` | `loggerBanEntry` Creates Ban Entry in the logger.

Constructor Summary
`BanEntry(String par1Str)`

Method Summary
`String` | `buildBanString()`
`Date` | `getBanEndDate()`
`String` | `getBannedBy()`
`String` | `getBannedUsername()`
`String` | `getBanReason()`
`Date` | `getBanStartDate()`
`boolean` | `hasBanExpired()`
`static BanEntry` | `parse(String par0Str)`
`void` | `setBanEndDate(Date par1Date)`
`void` | `setBannedBy(String par1Str)`
`void` | `setBanReason(String par1Str)`
`void` | `setBanStartDate(Date par1Date)` null == start ban now

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateFormat

    public static final SimpleDateFormat dateFormat

### loggerBanEntry

    public static Logger loggerBanEntry

  Creates Ban Entry in the logger.

Constructor Detail

### BanEntry

    public BanEntry(String par1Str)

Method Detail

### getBannedUsername

    public String getBannedUsername()

### getBanStartDate

    public Date getBanStartDate()

### setBanStartDate

    public void setBanStartDate(Date par1Date)

  null == start ban now

### getBannedBy

    public String getBannedBy()

### setBannedBy

    public void setBannedBy(String par1Str)

### getBanEndDate

    public Date getBanEndDate()

### setBanEndDate

    public void setBanEndDate(Date par1Date)

### hasBanExpired

    public boolean hasBanExpired()

### getBanReason

    public String getBanReason()

### setBanReason

    public void setBanReason(String par1Str)

### buildBanString

    public String buildBanString()

### parse

    public static BanEntry parse(String par0Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD